package com.example.chemical.ui.plan.room.bean.locker;

import androidx.room.Entity;
import androidx.room.PrimaryKey;
import androidx.room.TypeConverters;

import com.example.chemical.ui.plan.room.RoomConverter;

import java.io.Serializable;

@Entity
@TypeConverters(RoomConverter.class)
public class CabinetLayerSelect implements Serializable {

    // 当前选择存储的柜子ID
    private long cabinetId;
    @PrimaryKey
    // 当前选择存储柜子的柜门ID
    private long doorId;
    // 当前选择存储柜子的哪一层
    private int layer;
    // 当前是否选中
    private boolean isChange = false;

    public CabinetLayerSelect(long cabinetId, long doorId, int layer) {
        this.cabinetId = cabinetId;
        this.doorId = doorId;
        this.layer = layer;
    }

    public long getCabinetId() {
        return cabinetId;
    }

    public void setCabinetId(long cabinetId) {
        this.cabinetId = cabinetId;
    }

    public long getDoorId() {
        return doorId;
    }

    public void setDoorId(long doorId) {
        this.doorId = doorId;
    }

    public int getLayer() {
        return layer;
    }

    public void setLayer(int layer) {
        this.layer = layer;
    }

    public boolean isChange() {
        return isChange;
    }

    public void setChange(boolean change) {
        isChange = change;
    }
}
